GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::UserInformation Class Reference

UserInformation Table 9-16 USER INFORMATION ITEM FIELDS. More...

`#include <gdcmUserInformation.h>`

## Public Member Functions

| UserInformation ()
const MaximumLengthSub & | GetMaximumLengthSub () const
MaximumLengthSub & | GetMaximumLengthSub ()
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

UserInformation Table 9-16 USER INFORMATION ITEM FIELDS.

TODO what is the goal of :

Table 9-20 USER INFORMATION ITEM FIELDS

## Constructor & Destructor Documentation

gdcm::network::UserInformation::UserInformation | ( |  | ) |

## Member Function Documentation

const MaximumLengthSub& gdcm::network::UserInformation::GetMaximumLengthSub | ( |  | ) | const

inline

MaximumLengthSub& gdcm::network::UserInformation::GetMaximumLengthSub | ( |  | ) |

inline

void gdcm::network::UserInformation::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::UserInformation::Read | ( | std::istream & | is | ) |

size_t gdcm::network::UserInformation::Size | ( |  | ) | const

const std::ostream& gdcm::network::UserInformation::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmUserInformation.h